Subject: [alpine-aports] [PATCH] testing/php-ssh2: new aport

From: Valery Kartel <[email-masked]>
Date: Mon, 25 Jan 2016 19:17:16 +0200

PHP bindings for the libssh2 library
https://pecl.php.net/package/ssh2
---
 testing/php-ssh2/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/php-ssh2/APKBUILD

diff --git a/testing/php-ssh2/APKBUILD b/testing/php-ssh2/APKBUILD
new file mode 100644
index 0000000..6713e64
--- /dev/null
+++ b/testing/php-ssh2/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=php-ssh2
+_pkgreal=ssh2
+pkgver=0.12
+pkgrel=0
+pkgdesc="PHP extension provide bindings for the libssh2 library"
+url="http://pecl.php.net/package/ssh2"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends libssh2-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+}
+
+md5sums="409b91678a842bb0ff56f2cf018b9160  ssh2-0.12.tgz"
+sha256sums="600c82d2393acf3642f19914f06a7afea57ee05cb8c10e8a5510b32188b97f99  ssh2-0.12.tgz"
+sha512sums="e48f8051f9234841bb0fc10594dcd90badf2d880d75c4bd59f847e3d4276e9fdd3fe71c1c01c07fb9f552cec470f3dbac6ae1db4d33e5793d3988ea5bac1d5bd  ssh2-0.12.tgz"
-- 
2.7.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---